Bug 185 - configure checks XPROTO_CFLAGS include paths wrong
Summary: configure checks XPROTO_CFLAGS include paths wrong
Status: CLOSED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-12 06:09 UTC by Eero Tamminen
Modified: 2011-10-15 17:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Eero Tamminen 2004-02-12 06:09:48 UTC
fd.o X11 libX11 6.2.1 package checks the existence of 'keysymdef.h' wrong. This
is what happens:
--
1. keysymdef.h include file is provided by xproto package
2. libX11 configure checks keysymdef.h from include paths in
   XPROTO_CFLAGS
3. it gets XPROTO_CFLAGS from xproto.pc through 'pkg-config --cflags'
4. xproto.pc has:
   --
   prefix=/usr
   exec_prefix=${prefix}
   libdir=${exec_prefix}/lib
   includedir=${prefix}/include

   Name: XProto
   Description: Sundry X headers
   Version: 6.6.1
   Cflags: -I${includedir}
   --
   ie. cflags would be -I/usr/include
5. pkg-config (from 0.13.0 onwards) strips system directories from
   the paths it returns
   -> no output for 'pkg-config --cflags xproto'
     -> xlib configure checks no paths, it just wrongly complains that
        keysymdef.h is missing
--

I kludged it like this:
----------------------------------
--- libX11-6.2.1/configure.ac.orig	2004-02-10 15:45:18.000000000 +0300
+++ libX11-6.2.1/configure.ac	2004-02-10 15:46:04.000000000 +0300
@@ -122,7 +122,7 @@
 # Find keysymdef.h
 #
 KEYSYMDEF=""
-for flag in $XPROTO_CFLAGS; do
+for flag in -I/usr/include $XPROTO_CFLAGS; do
 	echo checking arg "$flag"
 	case "$KEYSYMDEF" in
 	"")
----------------------
but obviously the check itself should be fixed.
Comment 1 Alan Coopersmith 2009-10-12 18:06:40 UTC
This version of libX11 is no longer maintained.   X.Org now maintains a
autotooled libX11 that has replaced the fd.o/xlibs project.
Comment 2 Jeremy Huddleston Sequoia 2011-10-01 14:08:17 UTC
Mass update: Close all bugs resolved over one year ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.